<?
echo "<div class='event'><h1>Тикеты</h1></div><div class='block'>";
if($ku['status']==1 || $ku['status']==3)
{
$x=mysql_querll("SELECT * FROM `kolhoz_tikets` WHERE `id` = '".intval($_GET['id'])."' ORDER BY `id` DESC");
while($tiket=mysql_fetch_assoc($x)){
if(isset($_GET['id']))
{
if(isset($_GET['otvet']))
{
echo "<div class='block'><img width='16' height='16' src='img/tikets/arhiv.jpg' alt='o'> <a href='?tikets&arhiv'>Архив</a> | <a href='?tikets'>Тикеты</a></div>";

echo '<form action="?tikets&id='.$tiket['id'].'&otvet&save" method="post">';
echo 'Ответ:<br/>';
echo '<textarea name="otvet"></textarea><br/>';
echo '<input type="submit" value="Отправить"/>';
echo '</form>';
if(isset($_GET['save'])){
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['otvet'])));
if($opis==NULL)
{
echo 'Пустое сообщение!';
} else {
$msgmail='Вы обратились в службу поддержки с вопросом: 
[b]'.$tiket['msg'].'[/b]
--------------------------------------
Ответ тех. поддержки: 
[b]'.$opis.'[/b] 
С уважением администрация. :)';
mysql_querll("INSERT INTO `kolhoz_mail` (`id_user`,`id_kont`,`msg`,`time`,`type`,`read`)VALUES('$tiket[id_user]','$ku[id]','$msgmail','$time','to','0')");
mysql_querll("UPDATE `kolhoz_tikets` SET `msg_otvet` = '$msgmail' WHERE `id` = '$tiket[id]'");
header("Location:?tikets&id=$tiket[id]");
}
}
include_once 'inc/foot.php';
}
if(isset($_GET['deltikets']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_tikets` WHERE `id` = '".intval($_GET['deltikets'])."'"),0)!=0){
mysql_querll("DELETE FROM `kolhoz_tikets` WHERE `id` = '".intval($_GET['deltikets'])."'");
header("Location:?tikets");
}
echo "<div class='block'><img width='16' height='16' src='img/tikets/arhiv.jpg' alt='o'> <a href='?tikets&arhiv'>Архив</a> | <a href='?tikets'>Тикеты</a></div>";

echo "<div class='block'><b>Автор:</b> ";
echo on_k($tiket['id_user']);
echo " <a href='?user=$tiket[id_user]'>".nc($tiket['id_user'])."</a><br>";
echo "<b>Вопрос:</b><br/><font color='tomato'>".output_text($tiket['msg'])."</font><br/>".($tiket['msg_otvet']!=NULL?"<b>Ответ от: ".nc($tiket['id_who'])."</b><br/><font color='green'>".output_text($tiket['msg_otvet'])."</font><br/>".nc($tikett['id_who'])."":null)."<div class='block'><img width='16' height='16' src='img/tikets/otvet.png' alt='o'> <a href='?tikets&id=$tiket[id]&otvet'>Ответить</a> | <img width='16' height='16' src='img/icons/del.png' alt='o'> <a href='?tikets&arhiv&deletej=$tiket[id]'>Удалить</a></div>";
mysql_querll("UPDATE `kolhoz_tikets` SET `read` = '1' WHERE `id` = '$tiket[id]'");
if($tiket['id_who']==NULL)
{
mysql_querll("UPDATE `kolhoz_tikets` SET `id_who` = '$ku[id]' WHERE `id` = '$tiket[id]'");
}
include_once 'inc/foot.php';
}
}
if(isset($_GET['arhiv']))
{
$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_tikets` WHERE `read` = '1'"),0);
if ($k_post==0)
{
echo "В архиве пусто!";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$xx=mysql_querll("SELECT * FROM `kolhoz_tikets` WHERE `read` = '1'  ORDER BY `id` DESC LIMIT $start,$set[p_str]");
while($tikets=mysql_fetch_assoc($xx)){

if(isset($_GET['deletej']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_tikets` WHERE `id` = '".intval($_GET['deletej'])."'"),0)!=0){
mysql_querll("DELETE FROM `kolhoz_tikets` WHERE `id` = '".intval($_GET['deletej'])."'");
header("Location:?tikets&arhiv");
}


echo "<div class='block'><img width='16' height='16' src='img/tikets/tikets.png' alt='o'> <a href='?tikets&id=$tikets[id]'><b><font color='green'>Тикет #$tikets[id]</font></b></a>";
echo "<br><img src='img/icons/right.png' alt='o'> Автор:".on_k($tikets['id_user'])." <a href=?user=".$tikets['id_user'].">".nc($tikets['id_user'])."</a>";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '$tikets[id_user]' AND `date_last` > '".(time()-700)."' LIMIT 1"),0)==1)
echo " <img src='img/icons/online.gif' alt='' class='*'/> ";
echo "<br><img width='16' height='16' src='img/icons/del.png' alt='o'> <a href='?tikets&arhiv&deletej=$tikets[id]'>Удалить</a></div>";

echo "</div>";


}
if ($k_page>1)str("?tikets&",$k_page,$page); // Вывод страниц
include_once 'inc/foot.php';
}
echo "<div class='block'><img width='16' height='16' src='img/tikets/arhiv.jpg' alt='o'> <a href='?tikets&arhiv'>Архив тикетов</a></div>";
$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_tikets` WHERE `read` = '0'"),0);
if ($k_post==0)
{
echo "Нет активных тикетов.";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$xx=mysql_querll("SELECT * FROM `kolhoz_tikets` WHERE `read` = '0'  ORDER BY `id` DESC LIMIT $start,$set[p_str]");
while($tikets=mysql_fetch_assoc($xx)){

if(isset($_GET['deletej']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_tikets` WHERE `id` = '".intval($_GET['deletej'])."'"),0)!=0){
mysql_querll("DELETE FROM `kolhoz_tikets` WHERE `id` = '".intval($_GET['deletej'])."'");
header("Location:?tikets");
}
echo "<div class='block'><img width='16' height='16' src='img/tikets/tikets.png' alt='o'> <a href='?tikets&id=$tikets[id]'><b><font color='green'>Тикет #$tikets[id]</font></b></a>";
echo "<br><img src='img/icons/right.png' alt='o'> Автор:".on_k($tikets['id_user'])." <a href=?user=".$tikets['id_user'].">".nc($tikets['id_user'])."</a>";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '$tikets[id_user]' AND `date_last` > '".(time()-700)."' LIMIT 1"),0)==1)
echo " <img src='img/icons/online.gif' alt='' class='*'/> ";
echo "</div>";


}
if ($k_page>1)str("?tikets&",$k_page,$page); // Вывод страниц
} else {
echo "У вас нет прав доступа к этой странице";
}
include_once 'inc/foot.php';
?>